:root {
    /* primary */
    --very-dark-magenta: hsl(300, 43%, 22%);
    --soft-pink: hsl(333, 80%, 67%);

    /* neutral */
    --dark-grayish-magenta: hsl(303, 10%, 53%);
    --light-grayish-magenta: hsl(300, 24%, 96%);
    --white: hsl(0, 0%, 100%)
  }

*{
    box-sizing: border-box;
}

.body{
    font-size: 15px;
}

.container{
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Spartan', sans-serif;
}

.card{
    width: 80%;
    height: 80%;
    display: flex;
    flex-direction: column;
}
.upper{
    display: flex;
    justify-content: space-between;
}

/* content */
.content{
    width: 40%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.heading{
    display: flex;
    flex-direction: column;
}

.heading h1{
    font-size: 2.8rem;
    color: var(--very-dark-magenta);
    font-weight: 700;
}

.heading p{
    color: var(--dark-grayish-magenta);
    margin-top: 4%;
    font-size: 0.8rem;
    line-height: 1.4rem;
}

/* rating container */
.rating-container{
    width: 50%;
    /* border: 2px solid aqua; */
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.star-rating{
    display: flex;
    width: 80%;
    padding: 1rem;
    background-color: var(--light-grayish-magenta);
    border-radius: 0.6rem;
}

.rating-container > :nth-child(1){
    align-self: flex-start;
    margin-top: 4%;
    margin-bottom: 4%;
}

.rating-container > :nth-child(2){
    margin-bottom: 4%;
    align-self: center; 
}


.rating > p{
    font-size: 0.8rem;
    color:var(--very-dark-magenta);
    font-weight: 700;
    margin-left: 2vw;
}


/* reviews */   
.lower{
    display: flex;
    justify-content: space-between;
    /* border: 2px solid pink; */
    margin-top: 4%;
}

.review{
    width: 32%;
    /* height: 80%; */
    /* border: 2px solid grey; */
    background-color: var(--very-dark-magenta);
    border-radius: 0.5rem;
    padding: 2rem;
}

.details{
    display: flex;
    margin-bottom: 6%;
}

.name{
    margin-left: 8%;
}

.avatar > img{
    width: 3rem;
    border-radius: 50%;
}

.review-content > p{
    font-size: 0.8rem;
    color: var(--light-grayish-magenta);
    line-height: 1.4rem;
}

.name :nth-child(1){
    font-size: 0.8rem;
    color: var(--white);
    font-weight: 700;
    line-height: 1.8rem;
}

.name :nth-child(2){
    font-size: 0.8rem;
    color: var(--soft-pink);
    font-weight: 400;
}

.lower > :nth-child(1){
    margin-bottom: 5%;
}

.lower > :nth-child(2){
    align-self: center;
}

.lower > :nth-child(3){
    margin-top: 5%;
}

/* tablet */
@media (max-width: 800px){

    /* heading */
    .heading h1{
        font-size: 1.6rem;
        color: var(--very-dark-magenta);
        font-weight: 700;
    }

    .heading p{
        color: var(--dark-grayish-magenta);
        margin-top: 4%;
        font-size: 0.6rem;
        line-height: 1.4rem;
    }

    /* rating */
    .rating-container{
        width: 58%;
    }
    .star-rating{
        display: flex;
        width: 90%;
        padding: 1.2rem 0.4rem 1.2rem 0;
        background-color: var(--light-grayish-magenta);
        border-radius: 0.6rem;
    }

    .stars{
        margin-left: 3%;
    }

    .stars > img{
        width: 0.6rem;
    }
    .rating > p{
        margin-top: 5%;
        font-size: 0.5rem;
        color:var(--very-dark-magenta);
        font-weight: 700;
        margin-left: 1vw;
    }

    /* reviews */
    .lower{
    margin-top: 8%;
    }
    .review{
        padding: 1.5rem;
    }

    .avatar > img{
        width: 1.5rem;
        border-radius: 50%;
    }

    .review-content > p{
        font-size: 0.5rem;
        color: var(--light-grayish-magenta);
        line-height: 1.2rem;
    }

    .name :nth-child(1){
        font-size: 0.5rem;
        color: var(--white);
        font-weight: 700;
        line-height: 1rem;
    }
    
    .name :nth-child(2){
        font-size: 0.5rem;
        color: var(--soft-pink);
        font-weight: 400;
    }

    .lower > :nth-child(1){
        /* margin-bottom: 5%; */
        align-self: flex-start;
    }
    
    .lower > :nth-child(2){
        align-self: center;
    }
    
    .lower > :nth-child(3){
        align-self: flex-end;
    }
    
}

/* mobile */

@media (max-width: 425px){
    .card{
        width: 85%;
    }
    .upper{
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    /* content */
    .content{
        width: 100%;
        margin-bottom: 8%;
    }

    .heading h1{
        font-size: 1.8rem;
        text-align: center;
    }

    .heading p{
        font-size: 0.8rem;
        text-align: center;
    }

    /* rating container */
    .rating-container{
        width: 100%;
    }

    .stars img{
        width: 0.8rem;
    }

    .star-rating{
        flex-direction: column;
        align-items: center;
        width: 100%;
        border-radius: 0.3rem;
    }

    .rating-container > :nth-child(1){
        align-self: center;
    }

    .rating-container > :nth-child(3){
        align-self: center; 
    }


    .rating > p{
        font-size: 0.8rem;
    }

    /* reviews */
    .lower{
        flex-direction: column;
    }
    .review{
        width: 100%;
        padding: 2rem;
    }

    .avatar > img{
        width: 1.8rem;
    }

    .review-content > p{
        font-size: 0.6rem;
        line-height: 1.2rem;
    }

    .name :nth-child(1){
        font-size: 0.6rem;
    }
    
    .name :nth-child(2){
        font-size: 0.6rem;
    }
}